## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

# prevent executables from being installed
%global cargo_install_bin 0

%global crate onenote_parser

Name:           rust-onenote_parser
Version:        0.3.1
Release:        %autorelease
Summary:        Parser for Microsoft OneNote files

License:        MPL-2.0
URL:            https://crates.io/crates/onenote_parser
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Adjust versions of dependencies
Patch:          onenote_parser-fix-metadata.diff
# * Upstream bump of dependencies - merged but not yet released
# * Modified to remove Cargo.toml changes since it gets reformatted and drop one
#   change not yet present in Fedora:
# * https://github.com/msiemens/onenote.rs/pull/9
Patch2:        rust-onenote_parser-updates.patch
# * Apply Cisco-Talos patch as this is really only needed for clamav
Patch3:        https://github.com/msiemens/onenote.rs/pull/13.patch

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
A parser for Microsoft OneNote files.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 29 2024 Orion Poplawski <orion@nwra.com> - 0.3.1-2
- Bump dependencies

* Sun Sep 15 2024 Orion Poplawski <orion@nwra.com> - 0.3.1-1
- Initial import
## END: Generated by rpmautospec
